<html lang="en">
<head>
    <title>Exchange Rates</title>
    <link rel="stylesheet" href="https://cdn.rawgit.com/Chalarangelo/mini.css/v3.0.1/dist/mini-default.min.css">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <style>
        body {
            font-family: 'Helvetica Neue', Arial, Helvetica, sans-serif;
        }

        .text-center {
            text-align: center;
        }
    </style>
</head>
<body class="text-center">
{% set margin = (alfa_rate - prior_rate) / alfa_rate * 100 %}

<h1 style="margin-top: 2em">
    {{ margin | round(2) }}%
    <small>Маржа</small>
</h1>
<p>Теряю ${{ (margin * 1000 / 100)|round|int }} за каждые $1000</p>

<h2>
    <span id="prior">{{ prior_rate | round(4) }}</span>
    <small>Продам доллары ПриорБанку (ИП)</small>
</h2>
<h2>
    <span id="alfa">{{ alfa_rate | round(4) }}</span>
    <small>Куплю доллары у ПриорБанка (физ.лицо)</small>
</h2>

<p>Обновлено <span id="updated-txt">{{ last_updated_text }}</span></p>

<div>
    <button id="update-btn">Обновить</button>
</div>


<p>Уведомления:
    <span id="notif-text">{{ 'ON' if user['notifications_enabled'] else 'OFF' }}</span>
    (<a id="toggle-notifications" href="javascript:void {}">{{ 'выключить' if user['notifications_enabled'] else 'включить' }}</a>)
</p>

<script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
<script>
    $(document).ready(function () {
        let $updateBtn = $("#update-btn");
        $updateBtn.click(function () {
            $updateBtn.text('Обновляется...')
            $updateBtn.attr('disabled', 'disabled')

            $.post(
                '/update-rates',
            ).always(function (data) {
                console.log(data);
                if (data.is_ok) {
                    location.reload();
                } else {
                    alert('Не удалось обновить...');
                    $updateBtn.text('Обновить')
                    $updateBtn.attr('disabled', null)
                }
            });
        });

        let $notifBtn = $('#toggle-notifications');

        $notifBtn.click(function () {
            $.post(
                '/toggle-notifications',
            ).always(function (data) {
                console.log(data);
                if (data.is_ok) {
                    if (data.data.notifications_enabled) {
                        $('#notif-text').text('ON');
                        $notifBtn.text('выключить');
                    } else {
                        $('#notif-text').text('OFF');
                        $notifBtn.text('включить');
                    }
                }
            });
        })
    });
</script>

</body>
</html>
